# Method: photoSequence.delete

- [HTTP request](https://developers.google.com/streetview/publish/reference/rest/v1/photoSequence/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/streetview/publish/reference/rest/v1/photoSequence/delete#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/streetview/publish/reference/rest/v1/photoSequence/delete#body.request_body)
- [Response body](https://developers.google.com/streetview/publish/reference/rest/v1/photoSequence/delete#body.response_body)
- [Authorization scopes](https://developers.google.com/streetview/publish/reference/rest/v1/photoSequence/delete#body.aspect)
- [Try it!](https://developers.google.com/streetview/publish/reference/rest/v1/photoSequence/delete#try-it)

Deletes a `https://developers.google.com/streetview/publish/reference/rest/v1/photoSequence/create#PhotoSequence` and its metadata.

This method returns the following error codes:

- `https://developers.google.com/streetview/publish/reference/rest/v1/Code#ENUM_VALUES.PERMISSION_DENIED` if the requesting user did not create the requested photo sequence.
- `https://developers.google.com/streetview/publish/reference/rest/v1/Code#ENUM_VALUES.NOT_FOUND` if the photo sequence ID does not exist.
- `https://developers.google.com/streetview/publish/reference/rest/v1/Code#ENUM_VALUES.FAILED_PRECONDITION` if the photo sequence ID is not yet finished processing.

### HTTP request

`DELETE https://streetviewpublish.googleapis.com/v1/photoSequence/{sequenceId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `sequenceId` | `string` Required. ID of the `https://developers.google.com/streetview/publish/reference/rest/v1/photoSequence/create#PhotoSequence`. |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/streetviewpublish`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).